AnnotationValue.OfChar (Java SE 25 & JDK 25)
Description: declaration: module: java.base, package: java.lang.classfile, interface: AnnotationValue, interface: OfChar
Keywords: java.lang.classfile.AnnotationValue.OfChar interface

# Interface AnnotationValue.OfChar

All Superinterfaces:
  `AnnotationValue, AnnotationValue.OfConstant`

Enclosing interface:
  `AnnotationValue`

public static sealed interface AnnotationValue.OfChar extends AnnotationValue.OfConstant
Models a char value of an element-value pair. The tag of this value is C.

Since:
  24

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface AnnotationValue

  `AnnotationValue.OfAnnotation, AnnotationValue.OfArray, AnnotationValue.OfBoolean, AnnotationValue.OfByte, AnnotationValue.OfChar, AnnotationValue.OfClass, AnnotationValue.OfConstant, AnnotationValue.OfDouble, AnnotationValue.OfEnum, AnnotationValue.OfFloat, AnnotationValue.OfInt, AnnotationValue.OfLong, AnnotationValue.OfShort, AnnotationValue.OfString`

- ## Field Summary

  ### Fields declared in interface AnnotationValue

  `TAG_ANNOTATION, TAG_ARRAY, TAG_BOOLEAN, TAG_BYTE, TAG_CHAR, TAG_CLASS, TAG_DOUBLE, TAG_ENUM, TAG_FLOAT, TAG_INT, TAG_LONG, TAG_SHORT, TAG_STRING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `char`
  `charValue()`
  Returns the constant char value.
  `IntegerEntry`
  `constant()`
  Returns the backing integer entry.
  `default Character`
  `resolvedValue()`
  Returns the resolved char value.

  ### Methods declared in interface AnnotationValue

  `tag`

- ## Method Details

  - ### constant

    IntegerEntry constant()
    Returns the backing integer entry.
    Specified by:
      `constant` in interface `AnnotationValue.OfConstant`
    Returns:
      the backing integer entry

  - ### charValue

    char charValue()
    Returns the constant char value.
    Returns:
      the constant char value
    See Java Virtual Machine Specification:
      2.11.1 Types and the Java Virtual Machine

  - ### resolvedValue

    default Character resolvedValue()
    Returns the resolved char value.
    Specified by:
      `resolvedValue` in interface `AnnotationValue.OfConstant`
    Implementation Requirements:
      This method returns the same as `charValue()`.
    Returns:
      the resolved char value